﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL.DragDropFriendlyListBox
{
    public class ExtendedListBoxItem : ListBoxItem
    {

        public ExtendedListBox ParentListBox { get; set; }

        protected override void OnMouseLeftButtonDown(MouseButtonEventArgs e)
        {
            if (this.ParentListBox != null &&
                this.ParentListBox.ClickOnSelectedItemAction == ClickAction.KeepSelectionIfItemSelected &&
                this.IsSelected)
            {
                return;
            }

            base.OnMouseLeftButtonDown(e);
        }
    }
}
